Client Control plugin is not obeing Active Spark build selection

Description

In Client Control plugin, if one has different Spark versions uploaded and not the latest version is selected as Active build, Openfire is suggesting to download the latest build in the list (with biggest version number), and not the one marked as Active. Marking this issue as a minor as Client Control plugin is usually used to update clients to the latest versions and administrator can upload only the version he needs to workaround this issue.

Environment

None

Activity

Show:
wroot
February 14, 2014, 8:51 PM

Tested by uploading
spark_2_6_3_633.exe
spark_2_7_0_647.exe
It always suggested me the one i have marked as active. So it looks like it works ok, but we are not using old build numbers (like 12555). Maybe it was related or different package names caused the issue.

Marking as fixed anyway. This is such minor and useless feature in a strict/controlled environment. If users has administrative rights, they can always install whatever they want and you can't control versions then..

Daryl Herzmann
February 14, 2014, 2:29 PM

@wroot, is this still an issue?

Guus der Kinderen
February 6, 2013, 7:57 PM

Removing the 'fix version' for all unresolved issues that were scheduled for version 7.8.2. We're releasing this version today - the remaining issues should be rescheduled later.

Fixed

Assignee

Guus der Kinderen

Reporter

wroot